curl https://catchbackcards.com/api/partner/v1/test-accounts \
-H "Authorization: Bearer $CATCHBACK_KEY"
{
"accounts": [
{
"user_id": "3b0e…",
"email": "acme-9f2c41ab@test.catchbackcards.com",
"username": "swiftFalcon4821",
"balance": 9875,
"created_at": "2026-11-02T18:00:00.000+00:00",
"expires_at": "2026-12-02T18:00:00.000+00:00",
"active": true
}
]
}
Testing
List test accounts
The test accounts this key has made, newest first. Passwords are never shown again.
GET
/
api
/
partner
/
v1
/
test-accounts
curl https://catchbackcards.com/api/partner/v1/test-accounts \
-H "Authorization: Bearer $CATCHBACK_KEY"
{
"accounts": [
{
"user_id": "3b0e…",
"email": "acme-9f2c41ab@test.catchbackcards.com",
"username": "swiftFalcon4821",
"balance": 9875,
"created_at": "2026-11-02T18:00:00.000+00:00",
"expires_at": "2026-12-02T18:00:00.000+00:00",
"active": true
}
]
}
Scope:
create:test_accounts, granted on request · MCP tool: list_test_accounts
The test accounts this key made, the newest 100, including ones that have ended. Another key’s accounts aren’t listed, even on the same account, and a password is only ever shown when an account is created.
Response
object[]
Errors
| Status | When |
|---|---|
403 | The key lacks create:test_accounts |
500 | We couldn’t read the list. Retry with backoff |
curl https://catchbackcards.com/api/partner/v1/test-accounts \
-H "Authorization: Bearer $CATCHBACK_KEY"
{
"accounts": [
{
"user_id": "3b0e…",
"email": "acme-9f2c41ab@test.catchbackcards.com",
"username": "swiftFalcon4821",
"balance": 9875,
"created_at": "2026-11-02T18:00:00.000+00:00",
"expires_at": "2026-12-02T18:00:00.000+00:00",
"active": true
}
]
}

